加载中…
个人资料
ENVI-IDL技术殿堂
ENVI-IDL技术殿堂 新浪机构认证
  • 博客等级:
  • 博客积分:0
  • 博客访问:9,670,676
  • 关注人气:7,303
  • 获赠金笔:0支
  • 赠出金笔:0支
  • 荣誉徽章:
相关博文
推荐博文
谁看过这篇博文
加载中…
正文 字体大小:

【ENVI深度学习】ENVI深度学习工具对计算机环境的要求

(2019-07-09 16:34:07)
标签:

深度学习

分类: ENVI

ENVI近期推出的深度学习工具(Deep Learning Module让没有编程经验、图像识别等背景知识的空间信息从业者,也能轻松使用近几年风靡全球的深度学习技术应用于遥感图像解译,不是非要配备高性能的企业级计算机环境,甚至普通笔记本就能轻松驾驭。


为了提高运算效率,强烈要求计算机的显卡支持GPU运算,如下表所示,使用CPU和不同性能的GPU计算的处理表现。本文介绍如何给ENVI 深度学习工具选择GPU计算环境。


注:24.2 GB0.5SuperView-1数据,有效覆盖面积 520 平方公里,42961 × 75743 × 4波段。影像覆盖城市区域,利用深度学习工具提取建筑物信息。

【ENVI深度学习】ENVI深度学习工具对计算机环境的要求


显卡的选择


ENVI深度学习工具基于TensorFlow构建,要求显卡是英伟达芯片(NVIDIA GPU card ,并且显卡的 CUDA® Compute Capability 3.5 或者更高,可通过https://developer.nvidia.com/cuda-gpus 网站查询NVIDIA各类显卡的CUDA运算能力。推荐显卡的显存为8G,能达到一个更高的运算效率。

如果使用AMD等厂商芯片的显卡,运行训练模型工具时候(/Deep Learning/Train TensorFlow Mask Model)时候,会报如下错误:

【ENVI深度学习】ENVI深度学习工具对计算机环境的要求


显卡驱动的选择


NVIDIA显卡驱动要求最低版本是384.x,测试通过最高版本是411版本。可访问:https://www.nvidia.cn/Download/Find.aspx?lang=cn  下载各个版本的驱动。

NVIDIA显卡能否被ENVI 深度学习工具识别,可通过/Deep Learning/Deep Learning Guide Map工具中的Tools->Test Installation and Configuration工具测试。


【ENVI深度学习】ENVI深度学习工具对计算机环境的要求

图:GPU诊断工具和不能识别GPU的诊断信息


操作系统的选择


ENVI深度学习工具支持的操作系统如下表所示:

操作系统

硬件(CPU

支持的版本

Windows

Intel/AMD 64-bit

10(专业版或者企业版), 2016 Server

Linux

Intel/AMD 64-bit

Kernel 3.10 or higher, glibc 2.17 or higher

 

目前主流的是Window10操作系统,下面介绍一段经验供大家参考。

背景:目前最高的版本是Windows 10 1903,由于显卡驱动最高支持到411版本,411版本在Windows 10 1903版本中安装会提示提示与系统版本不兼容。较老的Windows 10 1703在任务栏中看不到GPU图标。

过程:

【ENVI深度学习】ENVI深度学习工具对计算机环境的要求

0

阅读 评论 收藏 转载 喜欢 打印举报/Report
  • 评论加载中,请稍候...
发评论

    发评论

    以上网友发言只代表其个人观点,不代表新浪网的观点或立场。

      

    新浪BLOG意见反馈留言板 电话:4000520066 提示音后按1键(按当地市话标准计费) 欢迎批评指正

    新浪简介 | About Sina | 广告服务 | 联系我们 | 招聘信息 | 网站律师 | SINA English | 会员注册 | 产品答疑

    新浪公司 版权所有